Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class ClassExtender

    java.lang.Object
      org.codehaus.groovy.runtime.ClassExtender

    public class ClassExtender

extends Object

A helper class used by the runtime to allow Groovy classes to be extended at runtime

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`ClassExtender()`

Method Summary
`void` | `addMethod(String name, Closure closure)`
`void` | `call(String name, Object params)`
`protected Map` | `createMap()`
`Object` | `get(String name)`
`void` | `remove(String name)`
`void` | `removeMethod(String name)`
`void` | `set(String name, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassExtender

    public ClassExtender()

Method Detail

### get

    public Object get(String name)

### set

    public void set(String name,
                    Object value)

### remove

    public void remove(String name)

### call

    public void call(String name,
                     Object params)

### addMethod

    public void addMethod(String name,
                          Closure closure)

### removeMethod

    public void removeMethod(String name)

### createMap

    protected Map createMap()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD